Subject: [Rfc-markdown] 1.3.33: KRAMDOWN_NO_TARGETS: let xml2rfc fill in targets for RFC and I-D

From: Carsten Bormann <[email-masked]>
Date: Thu, 18 Feb 2021 00:31:09 +0100

As an alternative approach to the recent RFC/I-D bibxml emergency patches, kramdown-rfc now honours the environment variable KRAMDOWN_NO_TARGETS by removing target information from all RFC and I-D references; xml2rfc will then fill them in again (with a number of command line flags that can influence that).  If you don’t set the environment variable, you get the previously announced workarounds.  Thanks to Martin Thomson for the suggestions and all the help in recent updates.

Due to some refactoring, this is a slightly more risky change than I’d normally make 120 hours before I-D deadline.
Please don’t hesitate to contact me if there is any surprising behaviour.

Grüße, Carsten